%define qtdir /usr/lib/qt3
%define beta Beta2

Name: kcommander3
Version: 3.0
Release: alt4.%beta

Source: %name-%version%beta.tar.bz2
Source1: %name.desktop
Source2: kcommander3_hi.png
Source3: kcommander3_lo.png

Group: File tools
Summary: KDE filemanager
URL: http://www.kcommander.org
License: GPL

Provides: kcommander2
Obsoletes: kcommander2
Requires: libqt3-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Tue Sep 30 2003
#BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static libGLU libGLwrapper libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel-static zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ glibc-devel libGLU libGLwrapper libaudio libexpat
BuildRequires: libjpeg-devel liblcms libmng libpng-devel libqt3-devel
BuildRequires: libstdc++-devel zlib-devel kdelibs-devel
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base

%description
Kcommander2 is a KDE filemanager.

%prep
%setup -q

# hack to fix add .h .cpp .moc
for f in `find ./ -type f -name \*.ui`
do
    %qtdir/bin/uic $f -o `echo $f|sed "s/\.ui/.h/"` 2>/dev/null ||:
    %qtdir/bin/uic $f -impl `echo $f|sed "s/\.ui/.h/"` $f -o `echo $f|sed "s/\.ui/.cpp/"` 2>/dev/null ||:
done
for f in `find ./ -type f -name \*.h`; do %qtdir/bin/moc $f -o `echo $f|sed "s/\.h/.moc/"` 2>/dev/null ||:; done


%build
export QTDIR=%qtdir
%configure

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot/%_docdir/%name-%version
mv %buildroot/usr/doc/%name %buildroot/%_docdir/%name-%version

mkdir -p "%buildroot/%_datadir/applnk/Applications/File tools"
cp %SOURCE1 "%buildroot/%_datadir/applnk/Applications/File tools"

# Install 16x16 icons for menus
mkdir -p %buildroot/%_iconsdir/hicolor/16x16/apps/
mkdir -p %buildroot/%_iconsdir/locolor/16x16/apps/
cp %SOURCE2 "%buildroot/%_iconsdir/hicolor/16x16/apps/kcommander3.png"
cp %SOURCE3 "%buildroot/%_iconsdir/locolor/16x16/apps/kcommander3.png"
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl kcommander3 "Applications/File tools" "%buildroot/%_datadir/applnk/Applications/File tools/kcommander3.desktop"     %buildroot/%_menudir/kcommander3

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/kcommander3
%_menudir/kcommander3
#%_datadir/apps/kcommander3
%_datadir/applnk/Applications/File*tools/kcommander3.desktop
%_iconsdir/*/*/*/*
%_docdir/%name-%version

%changelog
* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 3.0-alt4.Beta2
- fix build requires

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3.Beta2
- rebuild with gcc 3.2

* Mon May 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1.Beta2
- new version (KDE3)

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru>
- Rebuilt with libpng.so.3
- 1.94

* Thu May 15 2001 Konstantin Volckov <goldhead@altlinux.ru>
- Added 16x16 icons

* Thu May 10 2001 Konstantin Volckov <goldhead@altlinux.ru>
- build for Sisyphus
